JaxbMetaElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbMetaElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbMetaElement

    public class JaxbMetaElement

extends Object

Java class for meta-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="meta-element">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="attribute" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="inherit" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected String` | `attribute`
`protected Boolean` | `inherit`
`protected String` | `value`

Constructor Summary
`JaxbMetaElement()`

Method Summary
`String` | `getAttribute()` Gets the value of the attribute property.
`String` | `getValue()` Gets the value of the value property.
`boolean` | `isInherit()` Gets the value of the inherit property.
`void` | `setAttribute(String value)` Sets the value of the attribute property.
`void` | `setInherit(Boolean value)` Sets the value of the inherit property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### attribute

    protected String attribute

### inherit

    protected Boolean inherit

Constructor Detail

### JaxbMetaElement

    public JaxbMetaElement()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getAttribute

    public String getAttribute()

  Gets the value of the attribute property.

  Returns:
    possible object is `String`

### setAttribute

    public void setAttribute(String value)

  Sets the value of the attribute property.

  Parameters:
    `value` - allowed object is `String`

### isInherit

    public boolean isInherit()

  Gets the value of the inherit property.

  Returns:
    possible object is `Boolean`

### setInherit

    public void setInherit(Boolean value)

  Sets the value of the inherit property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.